import React from 'react';
import type { WheelPickerProps, WheelPickerRef } from './WheelPickerTypes';
export declare const wheelPickerRef: React.RefObject<WheelPickerRef>;
/**
 * The wheel picker component
 * @param selectedIndex - The index of the selected value
 * @param data - The data to be displayed in the wheel picker
 * @param onChangeValue - Function to handle the value change
 * @param elementHeight - The height of each element in the wheel picker
 * @param restElements - The number of elements to be displayed above and below the selected element
 * @param decelerationRate - The deceleration rate of the scroll view
 * @param loopCount - The number of times the data should be looped
 * @param selectedLayoutStyle - The style of the selected layout
 * @param containerStyle - The style of the container
 * @param elementContainerStyle - The style of the element container
 * @param elementTextStyle - The style of the element text
 * @param containerProps - The props for the container
 * @param flatListProps - The props for the flat list
 */
declare const WheelPicker: React.ForwardRefExoticComponent<WheelPickerProps & React.RefAttributes<WheelPickerRef>>;
export default WheelPicker;
