import type { ThrowPropsError } from './types';
/**
 * Verify if the props are valid or not
 * If not, throw an error
 * @param selectedIndex - The index of the selected value
 * @param arrayData - The data to be displayed in the wheel picker
 * @param restElements - The number of elements to be displayed above and below the selected element
 * @param loopCount - The number of times the data should be looped
 * @param decelerationRate - The deceleration rate of the scroll view
 * @param data - The data to be displayed in the wheel picker
 * @param elementHeight - The height of each element in the wheel picker
 */
declare const useThrowPropsError: ({ selectedIndex, arrayData, restElements, loopCount, decelerationRate, data, elementHeight, initialSelectedIndex, }: ThrowPropsError) => void;
export default useThrowPropsError;
