/**
 * Get the width and height of the device screen.
 * @returns {ScaledSize} - the width and height of the device screen.
 */
declare let width: number, height: number;
/**
 * A type that contains the global metrics for the current device.
 * @typedef {Object} GlobalMetricsType - A type that contains the global metrics for the current device.
 * @property {boolean} isAndroid - Whether the current device is an Android device.
 */
interface GlobalMetricsType {
    isAndroid: boolean;
    isIos: boolean;
    isPad: boolean;
    isTV: boolean;
    isWeb: boolean;
}
/**
 * A type that contains the global metrics for the app.
 * @type {GlobalMetricsType}
 */
declare const globalMetrics: GlobalMetricsType;
export { globalMetrics, width, height };
