import { Dimensions, Platform } from 'react-native';
/**
 * Get the width and height of the device screen.
 * @returns {ScaledSize} - the width and height of the device screen.
 */
let { width, height } = Dimensions.get('window');
if (width > height) {
    [width, height] = [height, width];
}
/**
 * A type that contains the global metrics for the app.
 * @type {GlobalMetricsType}
 */
const globalMetrics = {
    isAndroid: Platform.OS === 'android',
    isIos: Platform.OS === 'ios',
    isPad: Platform.OS === 'ios' && Platform.isPad,
    isTV: Platform.isTV,
    isWeb: Platform.OS === 'web',
};
export { globalMetrics, width, height };
//# sourceMappingURL=Metrics.js.map